{
  "codeName" : "ListExp",
  "controlType" : "LIST",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSLISTS/ListExp.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "ListExp",
  "getNavPSAppView" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView9.json",
    "viewType" : "DEGRIDVIEW9"
  },
  "getNavPSDER" : {
    "codeName" : "IBIZORDER",
    "dERType" : "DER1N",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDERS/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID.json",
    "masterOrder" : -1,
    "masterRS" : 0,
    "minorCodeName" : "IBIZORDERDETAILS",
    "name" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
    "orderValue" : 100,
    "pickupDEFName" : "IBIZORDERID",
    "removeActionType" : 3,
    "removeOrder" : 0
  },
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE",
    "logicTag" : "listexpbar_list",
    "logicType" : "CUSTOM",
    "name" : "listexpbar_selectionchange"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "listexpbar_list",
    "logicType" : "CUSTOM",
    "name" : "listexpbar_load"
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "Import"
  },
  "getPSDEListDataItems" : [ {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdescription",
    "getPSAppDEField" : {
      "name" : "MEMO",
      "codeName" : "Memo"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizorderid",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdate",
    "getPSAppDEField" : {
      "name" : "STARTTIME",
      "codeName" : "StartTime"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizcustomerid",
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERID",
      "codeName" : "IBIZCustomerId"
    }
  }, {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTEP.json"
    },
    "name" : "wfstep",
    "getPSAppDEField" : {
      "name" : "WFSTEP",
      "codeName" : "WFStep"
    }
  }, {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
    },
    "name" : "orderstate",
    "getPSAppDEField" : {
      "name" : "ORDERSTATE",
      "codeName" : "OrderState"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "pagingSize" : 1000,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "enableGroup" : false,
  "enableRowEdit" : false,
  "enableRowEditGroup" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "noSort" : false,
  "showHeader" : true,
  "modelid" : "7d7dd20b1afaec03489a5a9ed63299fe",
  "modeltype" : "PSDELIST"
}